/*
 *
 *                         DES SOFTWARE PACKAGE
 *                             Version 2.2
 *
 *                                        _
 * Copyright (c) 1990,1991,1992,1993 Stig Ostholm.
 * All Rights Reserved
 *
 *
 * The author takes no responsibility of actions caused by the use of this
 * software package and does not guarantee the correctness of the functions.
 *
 * This software package may be freely distributed for non-commercial purpose
 * as long as the copyright notice is kept. Any changes made should be
 * accompanied by a comment indicating who made the change, when it was made
 * and what was changed.
 *
 * This software package, or any parts of it, may not be used or in any way
 * re-distributed for commercial purpose without the authors permission.
 * The author keeps the right to decide between of what is commercial and
 * what is non-commercial purpose.
 *
 * Restrictions due to national laws governing the use, import or export of
 * cryptographic software is the responsibility of the software user/importer/
 * exporter to follow.
 *
 *
 *                                              _
 *                                         Stig Ostholm
 *                                         Chalmers University of Technology
 *                                         Department of Computer Engineering
 *                                         S-412 96 Gothenburg
 *                                         Sweden
 *                                         ----------------------------------
 *                                         Email: ostholm@ce.chalmers.se
 *                                         Phone: +46 31 772 1703
 *                                         Fax:   +46 31 772 3663
 */

#include	<des.h>
#include	"config.h"
#include	"core.h"
#include	"version.h"


#ifdef __SDTC__
const
#endif
	core_mode	core_list[] = {
				{
					"DEA",
#ifdef CRYPT
					des_dea,
#else  /* CRYPT */
					(core_func) 0,
#endif /* CRYPT */
					1
				},
				{
					"DEA3",
#ifdef CRYPT
					des_dea3,
#else  /* CRYPT */
					(core_func) 0,
#endif /* CRYPT */
					2
				},
				{
					"DEA3B",
#ifdef CRYPT
					des_dea3b,
#else  /* CRYPT */
					(core_func) 0,
#endif /* CRYPT */
					3
				},
				{
					(char *) 0,
					(core_func) 0,
					0
				}
			};
